%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-collections
Version:    0.1.21
Release:    2%{?dist}
Summary:    Data structures with idiomatic JavaScript collection interfaces
# shim-array.js and shim-object.js are forked from Motorola Mobility's Montage,
# which is licensed under the 3-Clause BSD License.
License:    MIT and BSD
Group:      System Environment/Libraries
URL:        https://github.com/montagejs/collections
Source0:    http://registry.npmjs.org/collections/-/collections-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    spec-v%{version}.tar.bz2
Source10:   dl-tests.sh
# Include a copy of the Montage BSD license to comply with license requirements:
# https://raw.github.com/montagejs/montage/8084075f27f6b09e3c8e0457ba03ec03f3daaafd/LICENSE.md
Source20:   LICENSE-montage.md

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jasmine-node)
%endif

%description
This package contains JavaScript implementations of common data structures
with idiomatic interfaces, including extensions for Array and Object.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
cp -a %{SOURCE20} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/collections
cp -pr package.json *.js listen/ \
    %{buildroot}%{nodejs_sitelib}/collections

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/jasmine-node/bin/jasmine-node spec
%endif


%files
%doc LICENSE.md LICENSE-montage.md README.md
%{nodejs_sitelib}/collections


%changelog
* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.21-2
- fix compatible arches for f18/el6

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.21-1
- update to upstream release 0.2.21

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-3
- restrict to compatible arches

* Sun Jun 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-2
- fix URL
- include copy of Montage BSD license

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-1
- update to upstream release 0.1.20
- test suite files have been removed from the npm tarball so pull from
  the revision control repository instead

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.14-1
- initial package
